> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.schoolset.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.schoolset.io/_mcp/server.

# Mark or unmark a submission as spam

PATCH https://ssuccessv2.com/app/api/v1/forms/submissions/{formSubmission}/spam
Content-Type: application/json

Sets the submission's is_spam flag and returns the refreshed submission resource.

Reference: https://docs.schoolset.io/api-reference/school-set-api/forms/update-form-submission-spam

## Authentication

- `Authorization` header (bearer token, required) — The signed-in SchoolSet user token sent by the frontend.

## Request

### Path parameters

- `formSubmission` (long, required) — Submission whose spam flag should change.

### Body (application/json)

This endpoint expects an object.

- `is_spam` (boolean, required) — Whether to classify the submission as spam.

## Response

### 200

Spam status updated; the refreshed submission resource is returned.

- `status` (enum, required)
  - Allowed values: `success`
- `message` (string, required)
- `data` (map from string to any, required)

## Errors

### 401 Unauthorized Error

The access token is missing or invalid.

- `status` (string, required)
- `message` (string, required)
- `data` (any, optional, nullable)

### 403 Forbidden Error

The user lacks edit-forms permission.

- `status` (string, required)
- `message` (string, required)
- `data` (any, optional, nullable)

### 404 Not Found Error

The submission does not exist in the active school.

- `status` (string, required)
- `message` (string, required)
- `data` (any, optional, nullable)

### 422 Unprocessable Entity Error

is_spam is missing or is not boolean.

- `message` (string, required)
- `errors` (map from string to list of string, required)

## Examples

**Request**

```json
{
  "is_spam": true
}
```

**Response**

```json
{
  "status": "success",
  "message": "Updated successfully.",
  "data": {
    "id": 901,
    "form_data": {
      "student_name": "Ava Lee"
    },
    "reference_hash": null,
    "created_at": "August 20",
    "2026 10:15 AM": null,
    "is_spam": true,
    "imported": false,
    "payment_id": null,
    "payment_recurring_id": null,
    "submitter_name": "Ava Lee",
    "completed_documents": [],
    "payment": null,
    "payer": null,
    "workflow_current_stage": null
  }
}
```

**SDK Code**

```python Forms_updateFormSubmissionSpam_example
import requests

url = "https://ssuccessv2.com/app/api/v1/forms/submissions/901/spam"

payload = { "is_spam": True }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript Forms_updateFormSubmissionSpam_example
const url = 'https://ssuccessv2.com/app/api/v1/forms/submissions/901/spam';
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"is_spam":true}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Forms_updateFormSubmissionSpam_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://ssuccessv2.com/app/api/v1/forms/submissions/901/spam"

	payload := strings.NewReader("{\n  \"is_spam\": true\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Forms_updateFormSubmissionSpam_example
require 'uri'
require 'net/http'

url = URI("https://ssuccessv2.com/app/api/v1/forms/submissions/901/spam")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"is_spam\": true\n}"

response = http.request(request)
puts response.read_body
```

```java Forms_updateFormSubmissionSpam_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://ssuccessv2.com/app/api/v1/forms/submissions/901/spam")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"is_spam\": true\n}")
  .asString();
```

```php Forms_updateFormSubmissionSpam_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://ssuccessv2.com/app/api/v1/forms/submissions/901/spam', [
  'body' => '{
  "is_spam": true
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Forms_updateFormSubmissionSpam_example
using RestSharp;

var client = new RestClient("https://ssuccessv2.com/app/api/v1/forms/submissions/901/spam");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"is_spam\": true\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Forms_updateFormSubmissionSpam_example
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["is_spam": true] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://ssuccessv2.com/app/api/v1/forms/submissions/901/spam")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```